<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
	
$themename = "BluVision";
$shortname = "bv";
$options = array (
	
	array(	"name" => "Top left title",
			"id" => $shortname."_top_left_title",
			"std" => "Top left",
			"type" => "text"),

	array(	"name" => "Top left text",
			"id" => $shortname."_top_left_text",
			"std" => "This text, as well as the title and the link can be changed from the BluVision theme options from your Presentation page in the WordPress Admin Panel.",
			"type" => "text"),

	array(	"name" => "Top left link",
			"id" => $shortname."_top_left_link",
			"std" => "#",
			"type" => "text"),

	array(	"name" => "Top right title",
			"id" => $shortname."_top_right_title",
			"std" => "Top right",
			"type" => "text"),

	array(	"name" => "Top right text",
			"id" => $shortname."_top_right_text",
			"std" => "This text, as well as the title and the link can be changed from the BluVision theme options from your Presentation page in the WordPress Admin Panel.",
			"type" => "text"),

	array(	"name" => "Top right link",
			"id" => $shortname."_top_right_link",
			"std" => "#",
			"type" => "text"),

	array(	"name" => "Sidebar title",
			"id" => $shortname."_sidebar_title",
			"std" => "Sidebar",
			"type" => "text"),

	array(	"name" => "Sidebar text",
			"id" => $shortname."_sidebar_text",
			"std" => "This text, as well as the title can be changed from the BluVision theme options from your Presentation page in the WordPress Admin Panel.",
			"type" => "text"),
		
);

function mytheme_add_admin() {

	global $themename, $shortname, $options;

	if ( $_GET['page'] == basename(__FILE__) ) {
	
		if ( 'save' == $_REQUEST['action'] ) {

				foreach ($options as $value) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

				foreach ($options as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

				header("Location: themes.php?page=functions.php&saved=true");
				die;

		} else if( 'reset' == $_REQUEST['action'] ) {

			foreach ($options as $value) {
				delete_option( $value['id'] ); }

			header("Location: themes.php?page=functions.php&reset=true");
			die;

		}
	}

    add_theme_page($themename." Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

	global $themename, $shortname, $options;

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
	
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
	
if ($value['type'] == "text") { ?>
		
<tr valign="top"> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	</td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>

	<tr valign="top"> 
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td>
			<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
				<?php foreach ($value['options'] as $option) { ?>
				<option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
				<?php } ?>
			</select>
		</td>
	</tr>

<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />	
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function mytheme_wp_head() { ?>
<?php }

add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin'); ?>